SDL::Timer(3)

NAME
SDL::Timer - a SDL perl extension to handle timers

SYNOPSIS
  $timer = new SDL::Timer { print "tick"; 4000; } -delay => 4000;

DESCRIPTION
"SDL::Timer" provides an abstract interface to the SDL::Timer callback code. SDL::Timer::new requires a subroutine and a delay at which is the initial interval between the creation of the timer until the first call to the subroutine. The subroutine must return a value which is the delay until the it is called again.

AUTHOR
David J. Goehrig

SEE ALSO
perl SDL